package wekan.wrapper.api;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.Path;
import wekan.wrapper.entity.Board;
import wekan.wrapper.entity.BoardPrototype;

import java.util.List;

public interface BoardService {
    @GET("api/boards")
    Call<List<Board>> getPublicBoards();

    @POST("api/boards")
    Call<Board> newBoard(@Body BoardPrototype boardPrototype);

    @GET("api/boards/{boardId}")
    Call<Board> getBoard(@Path("boardId") String boardId);
}
